Firebird installeren op een mac

Overzicht Reageren

Sponsored by: Vacatures door Monsterboard

Senior DevOps-ontwikkelaar eIDAS

Functie­omschrijving Burgers en bedrijven veilig en betrouwbaar digitaal toegang geven tot diensten en producten van het ministerie van Economische Zaken en Klimaat. Als senior DevOps-ontwikkelaar bouw je daar letterlijk aan mee. En dat doe je bij DICTU: een van de grootste en meest vooruitstrevende ICT-dienstverleners van de Rijksoverheid. Jij werkt mee aan de doorontwikkeling van eIDAS, dat staat voor Electronic IDentification Authentication and trust Services. Deze koppeling maakt de grensoverschrijdende authenticatie op overheidswebsites binnen de Europese Unie mogelijk. Het ministerie van Economische Zaken en Klimaat heeft één moderne toegangspoort voor zijn diensten en inspecties. Enkele daarvan zijn dankzij eIDAS inmiddels

Bekijk vacature »

Terence Hersbach

Terence Hersbach

16/05/2008 12:07:00
Quote Anchor link
Hallo,

Ik heb firebird geinstalleerd en als ik via m'n terminal alles opstart, lijkt alles te werken.

Wil ik het met php gaan combineren, word het wat minder leuk. Ik heb een .so bestand interbase.so in de juiste map gezet, in de php.ini interbase.so uitgecomment.

Als ik dan vervolgens m'n apache restart, krijg ik bij m'n phpinfo niets te zien wat met firebird / interbase te maken heeft.

Ibwebadmin geeft de volgende melding (wat ik kan snappen, want in de phpinfo zie ik interbase er ook niet bij staan).
Quote:
Your php installation misses the interbase support!
Recompile php and configure --with-interbase[=DIR]
or edit your php.ini to load interbase.so respectively interbase.dll.

Mijn vraag is: heeft iemand hier ervaring mee, en zo ja, kan je mij er verder mee helpen? ^^

edit: ik heb het vermoeden dat ik de php zelf moet gaan bakken, waar ik dus 0,niks verstand van heb..
Gewijzigd op 01/01/1970 01:00:00 door Terence Hersbach
 
PHP hulp

PHP hulp

28/10/2020 17:59:13
 
Riemer

Riemer

16/05/2008 12:44:00
Quote Anchor link
Hoogst waarschijnlijk zit er een INSTALL bestandje bij de source, met uitleg van welke config opties je etc. moet gebruiken.

Ik meende mij te herinneren van een ver verledendat je beide de apache en php source moet hebben. En dan de install notes van php moet opvolgen.

Edit:

Ik moet verder ook even zeggen dat ik niet zeker weet of je het opnieuw moet compilen. Dit omdat ik niet weet wat de standaart configuratie van de mac php versie is
Gewijzigd op 01/01/1970 01:00:00 door Riemer
 
Terence Hersbach

Terence Hersbach

16/05/2008 13:38:00
Quote Anchor link
ik heb alleen niet de standaard configuratie van de mac. Ik heb zelf gewoon Xampp (ik ben af en toe lui) geinstalleerd. Volgens de melding zou het ook genoeg moeten zijn om een .so bestand neer te zetten, alleen helaas dat hij deze niet ziet oid.
 
Danny K

Danny K

16/05/2008 14:29:00
Quote Anchor link
Moet je even kijken want volgens mij heeft Mac OS standaard ook php geinstalleerd. Omdat je zegt nog een andere installatie gedaan te hebben.
En als hij de verkeerde gebruikt is het resultaat niet het gewenste..

Edit:
Even gecheckt en mijn MBP bevat dus inderdaad 2 php installaties!
Gewijzigd op 01/01/1970 01:00:00 door Danny K
 



Overzicht Reageren

 
 

Om de gebruiksvriendelijkheid van onze website en diensten te optimaliseren maken wij gebruik van cookies. Deze cookies gebruiken wij voor functionaliteiten, analytische gegevens en marketing doeleinden. U vindt meer informatie in onze privacy statement.